工具:delete_toolset
删除指定的工具集。
以下示例演示了如何使用 curl 调用 delete_toolset MCP 工具。
| Curl 请求 |
|---|
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "delete_toolset", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
输入架构
AgentService.DeleteToolset 的请求消息。
DeleteToolsetRequest
| JSON 表示法 |
|---|
{ "name": string, "force": boolean, "etag": string } |
| 字段 | |
|---|---|
name |
必需。要删除的工具集的资源名称。 |
force |
可选。指示是否强制删除工具集,即使应用/代理仍引用该工具集也是如此。
|
etag |
可选。工具集的当前 etag。如果未提供 etag,删除操作将覆盖任何并发更改。如果提供的 etag 与工具集的当前 etag 不匹配,删除操作将被阻止并返回 ABORTED 错误。 |
输出架构
一种通用的空消息,您可以重复使用它,以避免在 API 中定义重复的空消息。一个典型示例是将其用作 API 方法的请求或响应类型。例如:
service Foo {
rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}
工具注释
破坏性提示:✅ | 等幂性提示:❌ | 只读提示:❌ | 开放世界提示:❌